summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2019-04-20 08:32:51 +0200
committerHans de Graaff <graaff@gentoo.org>2019-04-20 08:36:36 +0200
commitbaa644c746a588f755f2db6dae55cf12792c77c4 (patch)
tree1b1e3247f6a39deeb30fe17bc5a52a680b4a3df5 /dev-ruby
parentdev-ruby/selenium-webdriver: add 3.141.5926 (diff)
downloadgentoo-baa644c746a588f755f2db6dae55cf12792c77c4.tar.gz
gentoo-baa644c746a588f755f2db6dae55cf12792c77c4.tar.bz2
gentoo-baa644c746a588f755f2db6dae55cf12792c77c4.zip
dev-ruby/shoulda-matchers: add 4.0.1
Signed-off-by: Hans de Graaff <graaff@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/shoulda-matchers/Manifest1
-rw-r--r--dev-ruby/shoulda-matchers/shoulda-matchers-4.0.1.ebuild31
2 files changed, 32 insertions, 0 deletions
diff --git a/dev-ruby/shoulda-matchers/Manifest b/dev-ruby/shoulda-matchers/Manifest
index 499638670f8..d958d1fef71 100644
--- a/dev-ruby/shoulda-matchers/Manifest
+++ b/dev-ruby/shoulda-matchers/Manifest
@@ -1,2 +1,3 @@
DIST shoulda-matchers-2.8.0.gem 153600 BLAKE2B 49ddfe686bbd80665cde74019a046564b6863bca1ae81517ef1ee8c9f91e3f5d58a5d25e7640b1a5e3cb9c99367f9bf5672f63b9632427eba91c40aa4d2bd2ef SHA512 7b40220811a11cf57cfa38457eaab612ec9f6db5b660df21bd142b3df30d3691d3b7b3b4f931eed1e186c5afe4b576eee2c86f6f8f491d46955598f1441a9027
DIST shoulda-matchers-3.1.3.gem 208384 BLAKE2B 0ce7cb91ec8a311ecd4872ca45b178686fedb126fd5a05d55cc8654f5a40d1ed7e0a1da2b2c47c34ce3e5ed13a302a1d309f4afa67bafb37d5ed8a724945e97f SHA512 c61397d20724f3048172a8a20ef8abaeafdba3a1d5d4b923b1b11480b25c70820fd372eb2851c6eb307894bc0b7e1aae515e23a3581a83db1b65a2c778b22d67
+DIST shoulda-matchers-4.0.1.tar.gz 222637 BLAKE2B 70d1aaa08f7670716f9ad385a22cbca709827f2de276d2a82ea8306ea43c44e99f9a2e698813a8c99036568a1f451a7c39d06dc5effd438d2bd31dcab32df8a8 SHA512 c2d8b80d4a0fa8d607b62f56c2718fc9922459f85ffb8a56b0c933c60fc258ce3fe75b7676fee1b178c56d1e35e28356abd855e2e7046b82268f743010c9b273
diff --git a/dev-ruby/shoulda-matchers/shoulda-matchers-4.0.1.ebuild b/dev-ruby/shoulda-matchers/shoulda-matchers-4.0.1.ebuild
new file mode 100644
index 00000000000..62b2570700c
--- /dev/null
+++ b/dev-ruby/shoulda-matchers/shoulda-matchers-4.0.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_RECIPE_TEST="none"
+
+RUBY_FAKEGEM_EXTRAINSTALL="NEWS.md README.md"
+
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Making tests easy on the fingers and eyes"
+HOMEPAGE="https://github.com/thoughtbot/shoulda-matchers"
+SRC_URI="https://github.com/thoughtbot/shoulda-matchers/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="3"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/activesupport-4.2.0:*"
+
+all_ruby_prepare() {
+ sed -i -e '/pry/ s:^:#:' spec/spec_helper.rb || die
+}